Subject: Re: [PATCH] powerpc: Revert removing of _INIT_GLOBAL(), _STATIC() and _INIT_STATIC()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 22 Jul 2014 16:13:57 +1000

On Mon, 2014-07-21 at 14:56 -0400, Steven Rostedt wrote:
> > Weird ... what are your gcc and binutils versions ? Smells like a
> > toolchain issue to me but I need to dig a bit more. Doesn't hit any
> > of my test configs here.
> > 
> 
> Can you test the attached config with this toolchain and see if you get
> the same build bug.

Yeah ok, I hit it too, it's one of those issues with the bloody
alternate feature sections getting pushed too far away. Argh.

I'm trying to fix that trainwreck (similar issues also breaks our
allmodconfig), we have a whole mess of problems caused by our
hand crafted assembly growing beyond the reach of conditional
branches with the right set of options.

I'll see what I can do...

> https://www.kernel.org/pub/tools/crosstool/files/bin/x86_64/4.6.3/x86_64-gcc-4.6.3-nolibc_powerpc64-linux.tar.bz2